package cn.hmsoft.skill.data.model.school;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 学校开办专业
* @author: zxq
* @date: 2019-01-08 13:31:05
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "SCHOOL_ASPECT", keyColumn =  "ASPECT_ID" , sequenceName = "SCHOOL_ASPECT_ID")
public class SchoolAspect implements Serializable{
	private static final long serialVersionUID = 6273081853020664952L;
	//专业别名（内部用）
	private String aspect_alias;
	//备注信息
	private String aspect_desc;
	//内部编号
	private Integer aspect_id;
	//专业名称
	private String aspect_name;
	//专业描述，给考生用
	private String aspect_notice;
	//专业总分
	private Integer aspect_score;
	//专业状态
	private String aspect_status;
	//报考金额
	private Integer fee_amount;
	//学校代码
	private Integer school_id;
	
	private String aspect_code;
	
	private String aspect_type;
	//考生报考人数
	private Integer enrol_count;
	//考生报考缴费人数
	private Integer pay_count;

	/****
	 * 专业别名（内部用）
	 */
	public String getAspect_alias() {
		return this.aspect_alias;
	}

	/****
	 * 专业别名（内部用）
	 */
	public void setAspect_alias(String aspect_alias) {
		this.aspect_alias = aspect_alias;
	}

	/****
	 * 备注信息
	 */
	public String getAspect_desc() {
		return this.aspect_desc;
	}

	/****
	 * 备注信息
	 */
	public void setAspect_desc(String aspect_desc) {
		this.aspect_desc = aspect_desc;
	}

	/****
	 * 内部编号
	 */
	public Integer getAspect_id() {
		return this.aspect_id;
	}

	/****
	 * 内部编号
	 */
	public void setAspect_id(Integer aspect_id) {
		this.aspect_id = aspect_id;
	}

	/****
	 * 专业名称
	 */
	public String getAspect_name() {
		return this.aspect_name;
	}

	/****
	 * 专业名称
	 */
	public void setAspect_name(String aspect_name) {
		this.aspect_name = aspect_name;
	}

	/****
	 * 专业描述，给考生用
	 */
	public String getAspect_notice() {
		return this.aspect_notice;
	}

	/****
	 * 专业描述，给考生用
	 */
	public void setAspect_notice(String aspect_notice) {
		this.aspect_notice = aspect_notice;
	}

	/****
	 * 专业总分
	 */
	public Integer getAspect_score() {
		return this.aspect_score;
	}

	/****
	 * 专业总分
	 */
	public void setAspect_score(Integer aspect_score) {
		this.aspect_score = aspect_score;
	}

	/****
	 * 专业状态
	 */
	public String getAspect_status() {
		return this.aspect_status;
	}

	/****
	 * 专业状态
	 */
	public void setAspect_status(String aspect_status) {
		this.aspect_status = aspect_status;
	}

	/****
	 * 报考金额
	 */
	public Integer getFee_amount() {
		return this.fee_amount;
	}

	/****
	 * 报考金额
	 */
	public void setFee_amount(Integer fee_amount) {
		this.fee_amount = fee_amount;
	}

	/****
	 * 学校代码
	 */
	public Integer getSchool_id() {
		return this.school_id;
	}

	/****
	 * 学校代码
	 */
	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
	}

	public String getAspect_code() {
		return aspect_code;
	}

	public void setAspect_code(String aspect_code) {
		this.aspect_code = aspect_code;
	}

	public String getAspect_type() {
		return aspect_type;
	}

	public void setAspect_type(String aspect_type) {
		this.aspect_type = aspect_type;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public Integer getEnrol_count() {
		return enrol_count;
	}

	public void setEnrol_count(Integer enrol_count) {
		this.enrol_count = enrol_count;
	}

	public Integer getPay_count() {
		return pay_count;
	}

	public void setPay_count(Integer pay_count) {
		this.pay_count = pay_count;
	}


}